if 判断IE版本写法
| |
2012/10/22 建站
基本款
<!--[if lte IE 6]>
<![endif]-->
________________________________________

解释语句如下:
gt = selects greater than(高于)
lt = selects less than(低于)
gte = selects greater than or equal to(>=)
lte = selects less than or equal to(<=)
! = selects everything except what directly follows the "!"(选择所有,除了!)

不知道为什么csdn页面中是没有办法显示解释的符号的,所以唯有把它给省略了!

1,选择IE5.01版,可以用" if ie 5.0"或者" if Ite ie 5.0"或者" if !gt ie 5.0"或者" if lt ie 5.0000"或者" if !gte ie 5.5000"

2,选择IE5.5,IE6.0,IE7.0,可以用" if !ie 5.0" 或者" if gt ie 5.0" 或者" if !lte ie 5.0" 或者" if !lt IE 5.5000" 或者" if gte IE 5.5000"

3,选择IE5.5,可以用" if ie 5.5000"

4,选择IE 5.01,IE6 ,IE7.0,可以用 " if !IE 5.5000 "

5,选择IE 6,可以用 " if IE 6 "

6,选择IE 5.01,IE5.5和IE7.0 ,可以用" if !IE 6 "

7, 选择IE 7.0,可以用" if IE 7.0 "或者" if !lte IE 6" 或者" if gt IE 6" 或者 " if !lt IE 7.0"或者 " if gte IE 7.0"或者" if !lt IE 7"或者 " if IE 7"或者" if gte IE 7"

8, 选择IE 5.01,和IE5.5和IE6 ,可以用 " if lte IE 6 "或者 " if !gt IE 6"或者" if lt IE 7.0"或者" if !gte IE 7.0"或者" if lt IE 7"或者 " if !gte IE 7"; 或者" if !IE 7.0"或者" if !IE 7"

9,选择IE 5.01和IE5.5,可以用" if IE 5 " 或者" if lte IE 5"或者" if !gt IE 5"或者" if lte IE 5.5000"或者" if !gt IE 5.5000"或者" if lt IE 6"或者" if !gte IE 6"

10,选择IE 6和IE7.0,可以用" if !IE 5 " 或者" if !lte IE 5"或者 " if gt IE 5"或者" if !lte IE 5.5000"或者" if gt IE 5.5000"或者" if !lt IE 6"或者" if gte IE 6"

11,选择IE 5.01和IE5.5和IE6和IE7.0,用" if lte IE 7.0 "或者" if gte IE 5"或者" if gte IE 5.0"或者" if lte IE 7"或者" if IE";

12,没有IE 5.01和IE6

13,没有IE 5.01和IE7.0

14,没有IE 5.5和IE6

15,没有IE 5.5和IE7.0
10K
本文来源: 噜噜网 | 目前已有 25816 人围观此文,标签:

浮上来留个足迹吧,看帖不回会被鄙视de哦: